{% extends 'base.html.twig' %}

{% form_theme main_form _self %}


{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>{{ isEditing ? 'Modifica' : 'Creazione' }} Docente</h1>
            <fieldset class="ui-grid-a">
                <div class="ui-block-a">
                    {{ form_start(main_form) }}
                        {{ form_errors(main_form) }}

                        {{ form_row(main_form.fiscalCode) }}
                        {{ form_row(main_form.lastname) }}
                        {{ form_row(main_form.firstname) }}
                        {{ form_row(main_form.username) }}
                        {{ form_row(main_form.email) }}

                        {{ form_row(main_form.provider) }}
                        {{ form_row(main_form.additionalProviders) }}

                        {{ form_widget(main_form.submit, {'attr':{'style' : 'display: none'}}) }}

                    {{ form_end(main_form) }}
                    <br/>
                </div>
            </fieldset>

            <div class="row sendBtnArea">
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                    <label for="{{ main_form.submit.vars.id }}"
                           class="btn btn-success">{{ main_form.submit.vars.label }}</label>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
                    <a href="{{ path('teacher_list') }}" class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
                    {% if entity.isTrashed %}
                        <a href="{{ path('teacher_restore', {'id': entity.id}) }}" class="btn btn-danger"  onclick="return confirm('Sei sicuro di voler ripristinare questo elemento?')">
                            Ripristina dal cestino
                        </a>
                    {% else %}
                        <a href="{{ path('teacher_trash', {'id': entity.id}) }}" class="btn btn-danger"  onclick="return confirm('Sei sicuro di voler cestinare questo elemento?')">
                            Cestina
                        </a>
                    {% endif %}

                    {% if isEditing %}
                    <a href="{{ path('teacher_delete_form', {'id': entity.id }) }}" class="btn btn-danger">
                        Elimina
                    </a>
                    {% endif %}
                </div>
            </div>
        </div>
    </main>

{% endblock %}
